> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume ScheduledMetricCalculation

> Resumes the scheduled metric calculation.



## OpenAPI

````yaml /api/metrics/api/metric-calculation.openapi.json post /v1/scheduledMetricCalculations/{scheduledMetricCalculation}:resume
openapi: 3.1.0
info:
  title: Confidence Metric-calculation API
  version: 1.0.0
  description: API documentation for metric-calculation
servers: []
security: []
paths:
  /v1/scheduledMetricCalculations/{scheduledMetricCalculation}:resume:
    post:
      summary: Resume ScheduledMetricCalculation
      description: Resumes the scheduled metric calculation.
      operationId: ScheduledMetricCalculation.resume
      parameters:
        - name: scheduledMetricCalculation
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties: {}
        required: true
      responses:
        '200':
          description: >-
            Returns a
            [ScheduledMetricCalculation](/api-reference/schemas/scheduledmetriccalculation).
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/confidence.metrics.v1.ScheduledMetricCalculation
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  schemas:
    confidence.metrics.v1.ScheduledMetricCalculation:
      title: ScheduledMetricCalculation
      type: object
      description: >-
        Represents a schedule of metric calculations. Will trigger new
        calculations at the specified intervals.
      properties:
        name:
          type: string
          description: |-
            Unique identifier of the scheduled metric calculations.
             For example: `scheduledMetricCalculations/0smva5nxuhv4yts6paxt`
        metricCalculationSpec:
          type: object
          properties:
            metric:
              type: string
              description: The metric to calculate.
            exposureTable:
              type: string
              description: The exposure table used for the calculation.
            splitDimensions:
              type: array
              items:
                type: object
                properties:
                  column:
                    type: string
                  factTable:
                    type: string
                  dimensionTable:
                    type: string
                  exposureTable:
                    type: string
                required:
                  - column
              description: Dimensions to calculate the metric on.
            measurementTable:
              type: string
              description: >-
                Internal reference to a measurement table when the metric is
                open.
            exposureGroups:
              type: array
              items:
                type: string
              description: >-
                Groups to filter exposure by. Leave empty to use all groups in
                exposure table.
          required:
            - metric
            - exposureTable
          description: The specification to use for each metric calculation
        scheduleStartTime:
          type: object
          description: >-
            The time when the first metric calculation will start. This
            timestamp is the start time
             of the first metric calculation. The schedule will execute this calculation when there is enough data
             and the interval has passed.
        scheduleEndTime:
          type: object
          description: >-
            The time when the metric calculation will end. Once the schedule
            reaches the end it will be
             cancelled and no new calculations will be triggered. If no end is specified the schedule will
             continue indefinitely.
        scheduleIntervals:
          type: array
          items:
            type: object
          description: >-
            The intervals for which to trigger metric calculations. The first
            calculation will use the first interval
             the second will use the second iteration and so forth. Once the last interval is reached the schedule will stay
             at that interval
        state:
          type: string
          enum:
            - STATE_UNSPECIFIED
            - ACTIVE
            - CANCELLED
          description: The current state of the schedule
        iteration:
          type: object
          description: >-
            The iteration of the schedule. A new iteration is created every time
            the schedule is retriggered.
        latestCalculation:
          type: string
          description: The name of the latest calculation that this schedule triggered
        nextScheduledRunTime:
          type: object
          description: >-
            The time when the metric calculation is scheduled to run the next
            time.If the calculation is cancelled, this field contains
             the latest time it was scheduled to run before cancellation.
        nextExposureStartTime:
          type: object
          description: The start time of exposure for the next scheduled run.
        nextExposureEndTime:
          type: object
          description: The end time of exposure for the next scheduled run.
        executedCalculationsCount:
          type: object
          description: The number of calculations that has been executed so far.
        createTime:
          type: object
          description: The time the scheduled metric calculation was first created.
        updateTime:
          type: object
          description: Time when the scheduled metric calculation was last updated.
        labels:
          type: array
          items:
            type: object
            additionalProperties:
              type: string
          description: Custom labels for this scheduled metric calculation.
        status:
          type: object
          properties:
            scheduled:
              type: object
              properties:
                nextScheduleTime:
                  type: object
                  description: The time the calculation will be scheduled next time.
              required:
                - nextScheduleTime
              description: The calculation is scheduled but not running yet.
            cancelled:
              type: object
              properties:
                cancelledTime:
                  type: object
                  description: The time the calculation was cancelled.
              required:
                - cancelledTime
              description: The schedule has been cancelled.
            calculating:
              type: object
              properties:
                metricCalculation:
                  type: string
                  description: The resource name of the calculation.
              required:
                - metricCalculation
              description: The calculation is currently ongoing.
            waiting:
              type: object
              properties:
                factTable:
                  type: string
                  description: Resource name of the fact table the schedule is waiting for.
                exposureTable:
                  type: string
                  description: >-
                    Resource name of the exposure table the schedule is waiting
                    for.
                measurementTable:
                  type: string
                  description: >-
                    Resource name of the measurement table that the schedule is
                    waiting for.
                dimensionTable:
                  type: string
                  description: >-
                    Resource name of the dimension table that the schedule is
                    waiting for.
                needDataUntilTime:
                  type: object
                  description: The time point the calculation needs data until.
                dataDeliveredUntilTime:
                  type: object
                  description: The current time data is delivered until.
              required:
                - needDataUntilTime
              description: The calculation is waiting for downstream dependencies.
            error:
              type: object
              properties:
                errorMessage:
                  type: string
                  description: Detailed description of the error.
              required:
                - errorMessage
              description: The calculation has failed.
          description: >-
            Status of the schedule. This explains more in depth of where the
            schedule is now, if it's waiting for data
             or if it's currently executing
        creator:
          type: string
          description: >-
            Reference to the identity that created this scheduled metric
            calculation.
        updater:
          type: string
          description: >-
            Reference to the identity that last updated this scheduled metric
            calculation.
        owner:
          type: string
          description: The owner of the resource. If not set will default to the creator.
        activeRetrigger:
          type: string
          description: Reference to a retrigger if one is active.
      required:
        - metricCalculationSpec
        - scheduleStartTime
        - scheduleIntervals
        - iteration
        - nextScheduledRunTime
        - nextExposureStartTime
        - nextExposureEndTime
        - executedCalculationsCount
        - createTime
        - updateTime
        - status
        - creator
        - updater
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````